%načtení dat
clear all
X = [20.1344,100.379,24.6438,30.122,49.829,18.38,169.87];
Y = [12.0581,3.24074,15.2778,7.702,6.671,67.34,34.638];
Z = [71.2031,39.119,135.42,124.39,125.02,159.474];

%Y =Y'; % Transpozice -
% sloupce se zobrazuji pro radky matice *
figure(1)
subplot(1,3,1);
a = bar(X);
title ('Kapacita -90 dBm/Hz', 'FontName','Arial','FontSize',20);
text(1:length(X),X,num2str(X'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n19','n19->n202','n202->n217','n217->n219','n219->n221','n221->n222','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)


subplot(1,3,2);
b = bar(Y);
title ('Kapacita -70 dBm/Hz', 'FontName','Arial','FontSize',20);
text(1:length(Y),Y,num2str(Y'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n19','n19->n202','n202->n217','n217->n219','n219->n220','n220->n222','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)
subplot(1,3,3);


c = bar(Z);

title ('Kapacita rezidenční rušení', 'FontName','Arial','FontSize',20);
text(1:length(Z),Z,num2str(Z'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n201','n201->n216','n216->n218','n218->n220','n220->n222','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)
